Webhooks
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Body
urlstring · url · max: 2048RequiredExample:
The URL where webhook events will be sent. Must be a valid URL with a TLD.
https://example.com/webhooksdescriptionstring · max: 1000Optional
Optional description for this webhook
isActivebooleanOptionalExample:
Whether the webhook is active
trueResponses
200
The webhook has been successfully updated
application/json
401Error
403Error
404
The webhook with the given ID was not found
patch
/webhooks/{id}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
urlstring · url · max: 2048RequiredExample:
The URL where webhook events will be sent. Must be a valid URL with a TLD.
https://example.com/webhooksdescriptionstring · max: 1000Optional
Optional description for this webhook
isActivebooleanOptionalDefault:
Whether the webhook is active
trueExample: trueResponses
201
The webhook has been successfully created.
application/json
idstringRequiredExample:
Unique identifier for the webhook
123e4567-e89b-12d3-a456-426614174000urlstringRequiredExample:
The URL where webhook events will be sent
https://example.com/webhooksdescriptionobjectRequired
Optional description for this webhook
isActivebooleanRequiredExample:
Whether the webhook is active
truecreatedAtstring · date-timeRequiredExample:
When the webhook was created
2023-01-01T00:00:00.000ZupdatedAtstring · date-timeRequiredExample:
When the webhook was last updated
2023-01-01T12:00:00.000Z401Error
403Error
post
/webhooksAuthorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Body
eventTypestringRequiredExample:
The event type to send
transaction.updatedResponses
201
The message ID
application/json
messageIdstringRequiredExample:
The message ID
msg_1srOrx2ZWZBpBUvZwXKQmoEYga2401Error
403Error
post
/webhooks/{id}/send-exampleLast updated